List Report Files
List the report files available to your organization.
Report files are documents that Acme retrieves from your banks on your behalf. Each entry describes one file and its metadata. To retrieve the file itself, call Download a Report File using the report id.
Each file is available for 30 days after it is created. Refer to the expiresAt field for the exact expiry timestamp.
Authorization
authorization Set Your Secret API Key
In: header
Query Parameters
An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.
A limit on the number of objects to be returned, between 1 and 100.
int32Sort list objects in either ascending or descending order.
Value in
- "ASC"
- "DESC"
Retrieve only report files with this report date. Specify an exact date in the format YYYY-MM-DD. This is an exact match, not a range. Please note that this parameter is currently subject to availability of report date in the file name.
dateResponse Body
*/*
application/json
application/json
curl -X GET "https://example.com/v1/report-files"{
"data": [
{
"createdAt": "string",
"expiresAt": "string",
"fileName": "string",
"format": "string",
"id": "string",
"reportDate": "string",
"type": "string",
"updatedAt": "string"
}
],
"hasMore": true
}